Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 24 Apr 2021 10:49:54 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi, my name is Sa'ad Alshmrani 
this is the first time i order something from your website. 

i got my order and I am very happy with most of it however, 2 pieces were not matching my size at all so i asked for a return.. a return guy called my wife 2 days after and he was screaming and yelling at her to come to a certain location that I am not familiar with although I already did provide him with details on where is my location  location, pictures and more pictures for building and buliding door  still.. he calls and yells in anger for absloutly no reason since the first call. finally he yelled and hung up on her cause she refuses to drive miles outside her house to reach him while he literally have location and pictures .

I adressed this on twitter and u guys said it will take 3 - 5 days for another return agent to come pick up the items, however.. it's been 6 days and we in ramadan now and still no sign of contact form you guys. 

please help me and tell agents to not yell at us for no reason, it's ok we get it sometimes we're stressed out but we do not take it out on clients espically alone women. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2419546